<?php
function smarty_modifier_omit_markup($string) {

	// URL
	$string = preg_replace("/\[\[(.+?)&gt;(http:\/\/.+?)\]\]/",'$1',$string);
	$string = preg_replace("/\[\[(http:\/\/.+?)\]\]/",'$1',$string);

	// each search
	$string = preg_replace("/¡Ø(.+?)¡Ù/",'¡Ö$1¡×',$string);
	$string = preg_replace("/¡Î(.+?)¡Ï/",'¡Ö$1¡×',$string);
	$string = preg_replace("/¡Ô(.+?)¡Õ/",'¡Ö$1¡×',$string);
	$string = preg_replace("/¡Ð(.+?)¡Ñ/",'¡Ö$1¡×',$string);
	$string = preg_replace("/¡Ì(.+?)¡Í/",'¡Ö$1¡×',$string);

	$string = preg_replace("/[\r\n]/",'',$string);

	return $string;
}


?>
